Subject: [bug#66430] Wording v2 (was Re: [bug#66430] [PATCH] doc: Mention the responsibilities that blocking comes with.)

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 13 Oct 2023 00:02:06 -0400

Hi Simon and Ludovic,

Simon Tournier <[email-masked]> writes:

> Hi,
>
> Re-reading the complete section (and other sections around), I am
> proposing a tiny variation of the wording I sent earlier.
>
> On Thu, 12 Oct 2023 at 21:17, Simon Tournier <[email-masked]> wrote:
>
>>>> +@url{https://www.seedsforchange.org.uk/consensus}.  The project uses the
>>>> +@samp{Requiring people who block to help find solutions} block variant,
>>>> +which means a participant wishing to block a proposal bears a
>>>> +special responsibility for finding alternatives and proposing ideas/code
>>>> +to resolve the deadlock.
>
> Instead of Maxim’s wording above, I am proposing:
>
> It is expected from all contributors, and even more so from committers,
> to help build consensus and make decisions based on consensus.  By using
> consensus, we are committed to finding solutions that everyone can live
> with.  It implies that no decision is made against significant concerns
> and these concerns are actively resolved with proposals that work for
> everyone.  A contributor, without or with commit access, wishing to
> block a proposal bears a special responsibility for finding
> alternatives, proposing ideas/code or detailing the status quo to
> resolve the deadlock.  To learn what consensus decision making means and
> understand its finer details, you are encouraged to read
> <https://www.seedsforchange.org.uk/consensus>.

I like it, but I admit I wasn't sure what "detailing the status quo"
meant until I read your examples below.  Perhaps it could be reworded to
"explain the rationale for the status quo" ?

Thanks,

Maxim